diff mbox

[LEDE-DEV,3/3,RFC] netifd: don't restart on reload error

Message ID 1490018935-16947-3-git-send-email-alexandru.ardelean@riverbed.com
State Superseded
Delegated to: Felix Fietkau
Headers show

Commit Message

Alexandru Ardelean March 20, 2017, 2:08 p.m. UTC
From: Alexandru Ardelean <ardeleanalex@gmail.com>

We just want netifd to return a non-zero err-code.
Reload has failed, a restart will not make it better necessarily.

Signed-off-by: Alexandru Ardelean <ardeleanalex@gmail.com>
---
 package/network/config/netifd/files/etc/init.d/network | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
diff mbox

Patch

diff --git a/package/network/config/netifd/files/etc/init.d/network b/package/network/config/netifd/files/etc/init.d/network
index a825dfd..1229ba2 100755
--- a/package/network/config/netifd/files/etc/init.d/network
+++ b/package/network/config/netifd/files/etc/init.d/network
@@ -4,6 +4,7 @@  START=20
 STOP=90
 
 USE_PROCD=1
+RESTART_ON_RELOAD_ERR=0
 
 init_switch() {
 	setup_switch() { return 0; }
@@ -27,7 +28,7 @@  start_service() {
 
 reload_service() {
 	init_switch
-	ubus call network reload
+	ubus call network reload || return 1
 	/sbin/wifi reload_legacy
 }